ApacheSoapSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.soap.ejb.ApacheSoapSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.soap.ejb
Class ApacheSoapSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.apache.soap.ejb.ApacheSoapSubTask

All Implemented Interfaces:
  Serializable

public class ApacheSoapSubTask
extends XmlSubTask

Version:
  $Revision: 1.10 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  display-name="Apache SOAP" name="apachesoap" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Oct 15, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `contextFactoryName`
`protected String` | `contextProviderUrl`
`protected String` | `entityEjbProvider`
`protected org.apache.tools.ant.types.Path` | `providerClasspath`
`protected String` | `statefulSessionEjbProvider`
`protected String` | `statelessSessionEjbProvider`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`ApacheSoapSubTask()` Describe what the ApacheSoapSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`String` | `getContextFactoryName()` Gets the ContextFactoryName attribute of the ApacheSoapSubTask object
`String` | `getContextProviderUrl()` Gets the ContextProviderUrl attribute of the ApacheSoapSubTask object
`String` | `getEntityEjbProvider()` Gets the EntityEjbProvider attribute of the ApacheSoapSubTask object
`org.apache.tools.ant.types.Path` | `getProviderClasspath()` Gets the ProviderClasspath attribute of the ApacheSoapSubTask object
`String` | `getStatefulSessionEjbProvider()` Gets the StatefulSessionEjbProvider attribute of the ApacheSoapSubTask object
`String` | `getStatelessSessionEjbProvider()` Gets the StatelessSessionEjbProvider attribute of the ApacheSoapSubTask object
`void` | `setContextFactoryName(String contextFactoryName)` Sets the ContextFactoryName attribute of the ApacheSoapSubTask object.
`void` | `setContextProviderUrl(String contextProviderUrl)` Sets the ContextProviderUrl attribute of the ApacheSoapSubTask object.
`void` | `setEntityEjbProvider(String entityEjbProvider)` Sets the EntityEjbProvider attribute of the ApacheSoapSubTask object
`void` | `setProviderclasspath(org.apache.tools.ant.types.Path providerClasspath)` Sets the Providerclasspath attribute of the ApacheSoapSubTask object
`void` | `setStatefulSessionEjbProvider(String statefulSessionEjbProvider)` Sets the StatefulSessionEjbProvider attribute of the ApacheSoapSubTask object
`void` | `setStatelessSessionEjbProvider(String statelessSessionEjbProvider)` Sets the StatelessSessionEjbProvider attribute of the ApacheSoapSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statelessSessionEjbProvider

    protected String statelessSessionEjbProvider

### statefulSessionEjbProvider

    protected String statefulSessionEjbProvider

### entityEjbProvider

    protected String entityEjbProvider

### providerClasspath

    protected org.apache.tools.ant.types.Path providerClasspath

### contextProviderUrl

    protected String contextProviderUrl

### contextFactoryName

    protected String contextFactoryName

Constructor Detail

### ApacheSoapSubTask

    public ApacheSoapSubTask()

  Describe what the ApacheSoapSubTask constructor does

Method Detail

### getStatelessSessionEjbProvider

    public String getStatelessSessionEjbProvider()

  Gets the StatelessSessionEjbProvider attribute of the ApacheSoapSubTask object

  Returns:
    The StatelessSessionEjbProvider value

### getStatefulSessionEjbProvider

    public String getStatefulSessionEjbProvider()

  Gets the StatefulSessionEjbProvider attribute of the ApacheSoapSubTask object

  Returns:
    The StatefulSessionEjbProvider value

### getEntityEjbProvider

    public String getEntityEjbProvider()

  Gets the EntityEjbProvider attribute of the ApacheSoapSubTask object

  Returns:
    The EntityEjbProvider value

### getProviderClasspath

    public org.apache.tools.ant.types.Path getProviderClasspath()

  Gets the ProviderClasspath attribute of the ApacheSoapSubTask object

  Returns:
    The ProviderClasspath value

### getContextProviderUrl

    public String getContextProviderUrl()

  Gets the ContextProviderUrl attribute of the ApacheSoapSubTask object

  Returns:
    The ContextProviderUrl value

### getContextFactoryName

    public String getContextFactoryName()

  Gets the ContextFactoryName attribute of the ApacheSoapSubTask object

  Returns:
    The ContextFactoryName value

### setStatelessSessionEjbProvider

    public void setStatelessSessionEjbProvider(String statelessSessionEjbProvider)

  Sets the StatelessSessionEjbProvider attribute of the ApacheSoapSubTask object

  Parameters:
    `statelessSessionEjbProvider` - The new StatelessSessionEjbProvider value

### setStatefulSessionEjbProvider

    public void setStatefulSessionEjbProvider(String statefulSessionEjbProvider)

  Sets the StatefulSessionEjbProvider attribute of the ApacheSoapSubTask object

  Parameters:
    `statefulSessionEjbProvider` - The new StatefulSessionEjbProvider value

### setEntityEjbProvider

    public void setEntityEjbProvider(String entityEjbProvider)

  Sets the EntityEjbProvider attribute of the ApacheSoapSubTask object

  Parameters:
    `entityEjbProvider` - The new EntityEjbProvider value

### setProviderclasspath

    public void setProviderclasspath(org.apache.tools.ant.types.Path providerClasspath)

  Sets the Providerclasspath attribute of the ApacheSoapSubTask object

  Parameters:
    `providerClasspath` - The new Providerclasspath value

### setContextProviderUrl

    public void setContextProviderUrl(String contextProviderUrl)

  Sets the ContextProviderUrl attribute of the ApacheSoapSubTask object. The ContextProviderUrl is the URL associated with the JNDI context provider used when looking up an EJB's home interface.

  Parameters:
    `contextProviderUrl` - The new ContextProviderUrl value

### setContextFactoryName

    public void setContextFactoryName(String contextFactoryName)

  Sets the ContextFactoryName attribute of the ApacheSoapSubTask object. The ContextFactoryName is the name of the JNDI context factory used when looking up an EJB's home interface.

  Parameters:
    `contextFactoryName` - The new ContextFactoryName value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD